:root {
	--principal: #ffc045;
	--secundari: #0a91ab;
	--tercer: #8A8070;
}

html {
	box-sizing: border-box;
}
*, *:before, *:after {
	box-sizing: inherit;
}

* {
	font-family: 'Open Sans', Arial, sans-serif;
	margin: 0px;
	padding: 0px;
}

body {
	text-align: center;
}

h1, nav a{
	font-family: 'Open Slab', Arial, serif;
	font-weight: normal;
	text-transform: uppercase;
}

h3 {
	text-align: left;
	text-transform: uppercase;
	color: var(--secundari);
	margin-bottom: 30px;
}

p {
	font-family: 'Open Slab', Arial, serif;
	text-align: justify;
}

/* Capçalera */
header {
	text-align: center;
	background-color: var(--secundari);
}

img.header-logo {
	width: 72px;
 	height: 72px;
	display: inline-block;
}

header h1 {
	font-family: Josefin Slab, Arial, serif;
	font-size: 3em;
	color: var(--principal);

}
/* Menú de navegació */
nav {
	background-color: var(--principal);
	padding: 10px 0px;
}
nav ul {
	display:flex;
	justify-content: center;
	gap:15px;
	list-style-type: none;
	text-align:center;
}
nav a {
	font-size: 1.3em;
	color: black;
	padding-bottom: 3px;
	text-decoration: none;
	font-weight: bolder;
	transition: color 0.2s;
}
nav a:hover {
	font-size: 1.3em;
	color: white;
	transition: color 0.2s;
}

/* Main */
.receptes {
	max-width: 1440px;
	margin:30px auto;
	width: 95%;
}

.receptes-flex{
	display:flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 30px;
}

.recepta {
	border: 2px solid var(--principal);
	border-radius: 10px;
	overflow: hidden;
	max-width: 400px;
	width: 100%;
}

.recepta img {
	width: 100%;
}

.recepta-info {
	padding: 20px;
	display: flex;
	flex-direction: column;
}
.recepta-info h4 {
	color: var(--principal);
	text-align: left;
}
.recepta-info a {
	align-self: flex-end;
	display: inline-block;
	text-decoration: none;
	background-color: var(--principal);
	color:black;
	padding: 10px;
	border-radius: 5px;
	margin-top: 10px;
}

/* Grid */

.grid {
	display: flex;
	flex-direction: row-reverse;
	gap: 20px;
}

.trucos {
	background-color: #b6cfd4;
	width: 400px;
	
}
.noticies-flex {
	display:flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 30px;
}

.noticia {
	width: 45%;
}

.noticia img {
	width: 100%;
}
.noticies {
	width: 100%;
}
.grid h3 {
	text-align: center;
}

/* Ranking */

.ranking img {
	width: 72px;
 	height: 72px;
	display: inline-block;
}

aside.ranking {
	background-color: var(--tercer);
}

aside.ranking h3 {
	text-align: center;
	color: var(--principal);
}

aside.ranking ol {
	display:flex;
	justify-content: space-around;
}

aside.ranking ol li {
	display:flex;
	flex-direction: column;
}

.jugador img {
	border-radius: 50%;
}

figcaption {
	/*falta posar negreta*/
	font-size: 1.3em;
}
/* Footer */

.footer {
	display:flex;
	justify-content: space-around;
	align-items: center;
	border-top: 2px solid black;
	padding: 20px 0;
}
.rrss-list {
	display: flex;
	list-style: none;
	gap: 10px;
}
.rrss-list img{
	width: 40px;
}
.receptes-flex {
	display: grid;
	gap: 2rem;
	grid-template-columns: repeat(3, 1fr);
}
@media (max-width: 992px) {
	.receptes-flex {
		grid-template-columns: 1fr 1fr;
	}
}
@media (max-width: 600px) {
	.receptes-flex {
		grid-template-columns: 1fr;
	}
}

